Subject: Re: guix-master fails 'make install' (missing contentdb.scm)

From: Maxime Devos <[email-masked]>
Date: Sat, 21 Aug 2021 19:34:55 +0200

Sergei Trofimovich schreef op za 21-08-2021 om 15:55 [+0100]:
> Noticed 'make install' failure of guix-master on a foreign distribution:
> 
>     make  all-recursive
>     make[1]: Entering directory '/tmp/portage-tmpdir/portage/sys-apps/guix-9999/work/guix-9999'
>     Making all in po/guix
>     make[2]: Entering directory '/tmp/portage-tmpdir/portage/sys-apps/guix-9999/work/guix-9999/po/guix'
>     make guix.pot-update
>     make[3]: Entering directory '/tmp/portage-tmpdir/portage/sys-apps/guix-9999/work/guix-9999/po/guix'
>     make[3]: *** No rule to make target '../../guix/scripts/import/contentdb.scm', needed by 'guix.pot-update'.  Stop.
>     make[3]: Leaving directory '/tmp/portage-tmpdir/portage/sys-apps/guix-9999/work/guix-9999/po/guix'
>     make[2]: *** [Makefile:369: guix.pot] Error 2
>     make[2]: Leaving directory '/tmp/portage-tmpdir/portage/sys-apps/guix-9999/work/guix-9999/po/guix'
>     make[1]: *** [Makefile:6203: all-recursive] Error 1
> 
> I suspect it ot started happening after
>     https://git.savannah.gnu.org/cgit/guix.git/commit/?id=467e874a86dc3dd83fe10e5610823c011de6565a
> which adds a reference to 'contentdb.scm' file, but not file itself. that
> causes 'make install' fail.

Oops, I renamed "guix/scripts/import/contentdb.scm" to "guix/scripts/import/minetest.scm",
but forgot to modify the po/guix/POTFILES.in appropriately ...

The following:

 guix/scripts/import/contentdb.scm

needs to be replaced with

 guix/scripts/import/minetest.scm

in po/guix/POTFILES.in.

(I don't have commit access)

Greetings,
Maxime.